<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>JS HomeWork no. 6</title>
</head>
<body>
<script>

   function filterBy(arr, dataType) {
       return arr.filter(item => typeof item !== dataType);
   }

   const randomArr = [10, "ten", true, undefined, Symbol(), 9007199254740991n, null, {name: "Roman", age: 31},];

   console.log("array without number", filterBy(randomArr, "number"));
   console.log("array without string", filterBy(randomArr, "string"));
   console.log("array without boolean", filterBy(randomArr, "boolean"));
   console.log("array without undefined", filterBy(randomArr, "undefined"));
   console.log("array without symbol", filterBy(randomArr, "symbol"));
   console.log("array without bigint", filterBy(randomArr, "bigint"));
   console.log("------------------------------\n------------------------------");
   console.log("array without object (and null)", filterBy(randomArr, "object"));
   console.log("array without null ---> undone:", filterBy(randomArr, "null"));

</script>
</body>
</html>

<!--forEach() - это метод для работы с массивом, с помощью которого можно осуществить перебор всех-->
<!--элементов массива, и задать для этих элементов какую-то инструкцию(функцию) для выполнения.-->

<!--Пример:-->

<!--<script>-->
<!--const alphabetArray = ["a", "b", "c", "d", "e", "f", "g", "h", "i", "j", "k", "l", "m", "n", "o", "p", "q", "r", "s", "t", "u", "v", "w", "x", "y", "z"];-->

<!--alphabetArray.forEach((item, index, alphabetArray) => {-->
<!--console.log(`The index of the "${item.toUpperCase()}" letter in the english alphabet is ${index+1}`);-->
<!--});-->
<!--</script>-->